locked
Updating Lightswitch Apps to Target Framework 4.6 RRS feed

  • Question

  • When Framework 4.6 launches will we be able to upgrade or migrate our projects to target dotNET framework 4.6 or will we need to rebuild our solutions?
    Friday, March 20, 2015 8:50 PM

Answers

  • Hi reigh,

    Thanks for your feedback in Lightswitch forum.

    Generally I follow this way to enable .NET Framework 4.5 on LightSwitch Server Projects

    1.Close Visual Studio if you have your LightSwitch solution open

    2.Navigate to your solution’s \Server folder

    3.Edit the Server.vbproj (or csproj) file in a text editor like Notepad

    4.Make the following change to the <TargetFrameworkVersion>: <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>

    5.Save the file & reopen Visual Studio

    6.Compile & verify no errors

    I didn't test this in .net framework 4.6 before, I think you can try it on your side.

    Hope it helps.

    Best regards,

    Angie


    We are trying to better understand customer views on social support experience, so your participation in this interview project would be greatly appreciated if you have time. Thanks for helping make community forums a great place.
    Click HERE to participate the survey.

    • Marked as answer by reigh7 Monday, March 23, 2015 5:05 PM
    Monday, March 23, 2015 6:56 AM

All replies

  • Hi reigh,

    Thanks for your feedback in Lightswitch forum.

    Generally I follow this way to enable .NET Framework 4.5 on LightSwitch Server Projects

    1.Close Visual Studio if you have your LightSwitch solution open

    2.Navigate to your solution’s \Server folder

    3.Edit the Server.vbproj (or csproj) file in a text editor like Notepad

    4.Make the following change to the <TargetFrameworkVersion>: <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>

    5.Save the file & reopen Visual Studio

    6.Compile & verify no errors

    I didn't test this in .net framework 4.6 before, I think you can try it on your side.

    Hope it helps.

    Best regards,

    Angie


    We are trying to better understand customer views on social support experience, so your participation in this interview project would be greatly appreciated if you have time. Thanks for helping make community forums a great place.
    Click HERE to participate the survey.

    • Marked as answer by reigh7 Monday, March 23, 2015 5:05 PM
    Monday, March 23, 2015 6:56 AM
  • thanks when 4.6 is in release I will do this for my current projects before setting up soem new RIA services that have to target the same framework.

    Monday, March 23, 2015 5:05 PM
  • Maybe you can answer a question I had about upgrading projects with Microsoft extensions as well?

    I could not find VISX files for the Microsoft extensions "Microsoft LightSwitch Extensions", "Excel Importer", "LightSwitch Filter control", LightSwitch Cosmopolitan shell and theme", "LightSwitch Metro Theme" that would enable those extensions for VS 2013 and above. how would I go about upgrading projects on VS 2012 to 2013 and above and still maintain the same functionality? are these no longer extensions but built into LightSwitch?


    • Edited by reigh7 Monday, March 23, 2015 6:23 PM
    Monday, March 23, 2015 6:18 PM